Subject: Re: bug#23833: 24.5; assoc-string with CASE-FOLD may fail

From: Noam Postavsky <[email-masked]>
Date: Thu, 23 Jun 2016 08:26:22 -0400

assoc-string uses compare-strings, which uses upcase to ignore case,
but upcase is not always the inverse of downcase:

(upcase (downcase "Ǳ")) ;=> "ǲ"
;; Or to put it another way
(= (upcase (downcase ?\u01F1)) ?\u01F2) ;=> t

Same behaviour seen in emacs-25 and master

In GNU Emacs 25.0.95.5 (x86_64-unknown-linux-gnu, X toolkit)
 of 2016-06-18 built on zony
Repository revision: 94cb773c6668291d7a4e6d03a552e46f99a0350e
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000

In GNU Emacs 25.1.50.4 (x86_64-unknown-linux-gnu, X toolkit)
 of 2016-06-22 built on zony
Repository revision: 9990eb7727f78e5f4a88f512812637c603391fca
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000